net.minecraft.client.renderer.texture

## Class TextureStitched

- java.lang.Object
- - net.minecraft.client.renderer.texture.TextureStitched

- All Implemented Interfaces:
    Icon
  Direct Known Subclasses:
    TextureClock, TextureCompass

      public class TextureStitched
      extends Object
      implements Icon

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `copyFrom(TextureStitched par1TextureStitched)`
    `void` | `createAndUploadTextures()`
    `String` | `getIconName()`
    `float` | `getInterpolatedU(double par1)` Gets a U coordinate on the icon.
    `float` | `getInterpolatedV(double par1)` Gets a V coordinate on the icon.
    `float` | `getMaxU()` Returns the maximum U coordinate to use when rendering with this icon.
    `float` | `getMaxV()` Returns the maximum V coordinate to use when rendering with this icon.
    `float` | `getMinU()` Returns the minimum U coordinate to use when rendering with this icon.
    `float` | `getMinV()` Returns the minimum V coordinate to use when rendering with this icon.
    `int` | `getOriginX()` Returns the X position of this icon on its texture sheet, in pixels.
    `int` | `getOriginY()` Returns the Y position of this icon on its texture sheet, in pixels.
    `int` | `getSheetHeight()` Returns the height of the texture sheet this icon is on, in pixels.
    `int` | `getSheetWidth()` Returns the width of the texture sheet this icon is on, in pixels.
    `void` | `init(Texture par1Texture, List par2List, int par3, int par4, int par5, int par6, boolean par7)`
    `boolean` | `loadTexture(TextureManager manager, ITexturePack texturepack, String name, String fileName, BufferedImage image, ArrayList textures)` Called when texture packs are refreshed, from TextureManager.createNewTexture, allows for finer control over loading the animation lists and verification of the image.
    `static TextureStitched` | `makeTextureStitched(String par0Str)`
    `void` | `readAnimationInfo(BufferedReader par1BufferedReader)`
    `void` | `updateAnimation()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### makeTextureStitched

          public static TextureStitched makeTextureStitched(String par0Str)

    - #### init

          public void init(Texture par1Texture,
                  List par2List,
                  int par3,
                  int par4,
                  int par5,
                  int par6,
                  boolean par7)

    - #### copyFrom

          public void copyFrom(TextureStitched par1TextureStitched)

    - #### getOriginX

          public int getOriginX()

      Returns the X position of this icon on its texture sheet, in pixels.
      Specified by:
        `getOriginX` in interface `Icon`

    - #### getOriginY

          public int getOriginY()

      Returns the Y position of this icon on its texture sheet, in pixels.
      Specified by:
        `getOriginY` in interface `Icon`

    - #### getMinU

          public float getMinU()

      Returns the minimum U coordinate to use when rendering with this icon.
      Specified by:
        `getMinU` in interface `Icon`

    - #### getMaxU

          public float getMaxU()

      Returns the maximum U coordinate to use when rendering with this icon.
      Specified by:
        `getMaxU` in interface `Icon`

    - #### getInterpolatedU

          public float getInterpolatedU(double par1)

      Gets a U coordinate on the icon. 0 returns uMin and 16 returns uMax. Other arguments return in-between values.
      Specified by:
        `getInterpolatedU` in interface `Icon`

    - #### getMinV

          public float getMinV()

      Returns the minimum V coordinate to use when rendering with this icon.
      Specified by:
        `getMinV` in interface `Icon`

    - #### getMaxV

          public float getMaxV()

      Returns the maximum V coordinate to use when rendering with this icon.
      Specified by:
        `getMaxV` in interface `Icon`

    - #### getInterpolatedV

          public float getInterpolatedV(double par1)

      Gets a V coordinate on the icon. 0 returns vMin and 16 returns vMax. Other arguments return in-between values.
      Specified by:
        `getInterpolatedV` in interface `Icon`

    - #### getIconName

          public String getIconName()

      Specified by:
        `getIconName` in interface `Icon`

    - #### getSheetWidth

          public int getSheetWidth()

      Returns the width of the texture sheet this icon is on, in pixels.
      Specified by:
        `getSheetWidth` in interface `Icon`

    - #### getSheetHeight

          public int getSheetHeight()

      Returns the height of the texture sheet this icon is on, in pixels.
      Specified by:
        `getSheetHeight` in interface `Icon`

    - #### updateAnimation

          public void updateAnimation()

    - #### readAnimationInfo

          public void readAnimationInfo(BufferedReader par1BufferedReader)

    - #### createAndUploadTextures

          public void createAndUploadTextures()

    - #### loadTexture

          public boolean loadTexture(TextureManager manager,
                            ITexturePack texturepack,
                            String name,
                            String fileName,
                            BufferedImage image,
                            ArrayList textures)

      Called when texture packs are refreshed, from TextureManager.createNewTexture, allows for finer control over loading the animation lists and verification of the image. If the return value from this is true, no further loading will be done by vanilla code. You need to add all Texture's to the textures argument. At the end of this function at least one entry should be in that argument, or a error should of been thrown.
      Parameters:
        `manager` - The invoking manager
        `texturepack` - Current texture pack
        `name` - The name of the texture
        `fileName` - Resource path for this texture
        `image` - Buffered image of the loaded resource
        `textures` - ArrayList of element type Texture, split textures should be added to this list for the stitcher to handle.
      Returns:
        Return true to skip further vanilla texture loading for this texture